<?php




Route::get('mrapproval/index',['as'=>'mrapproval.index',
	'uses'=>'MrApprovalController@listMR']);

  Route::get('mrapproval/edit/{id}',['as'=>'mrapproval.edit',
	'uses'=>'MrApprovalController@edit']);

  Route::get('customer_products','MrApprovalController@customerProductGet');
  Route::get('customer_units','MrApprovalController@customerUnitGet');
  Route::get('customer_grades','MrApprovalController@customerGradeGet');
  Route::post('mr_product_detele','MrApprovalController@removeMRPorduct');
  Route::post('mr/{id}/approved',['as' => 'mr.approved',
  	'uses' => 'MrApprovalController@mrApproved']);

  Route::get('mr/approved/list',['as' => 'mr.approved.list',
  	'uses' => 'MrApprovalController@mrApprovedList']);
  Route::get('mrapproved/{id}/show',['as' => 'mrapproved.show',
  	'uses' => 'MrApprovalController@mrApprovedShow']);
  Route::get('mr/{id}/cancel/approval',['as' => 'mr.cancel.approval',
  	'uses' => 'MrApprovalController@cancelApproval']);
  
  Route::get('mrapproved/{id}/edit/products',['as' => 'mrapproved.edit.products',
    'uses' => 'MrApprovalController@editApprovedProducts']);
  Route::post('mrapproved_product_detele','MrApprovalController@removeMRapprovedPorduct');
  Route::post('mr/{id}/edit/approved',['as' => 'mr.edit.approved',
    'uses' => 'MrApprovalController@update']);
  /////supplier rate report/////

Route::get('supplier_rate/report',['as' => 'supplier_rate.report',
	'uses' => 'ReportController@SupplierwiseRate']);

Route::post('supplier_rate_report/show',['as' => 'supplier_rate_report.show',
	'uses' => 'ReportController@SupplierwiseRateList']);

Route::get('product_rate/show',['as' => 'product_rate.show',
	'uses' => 'ReportController@showRateProduct']);

/////////PR report//////////

Route::get('pr_report/index',['as' => 'pr_report.index',
	'uses' => 'ReportController@prIndex']);

Route::get('pr_closed/show',['as' => 'pr_closed.show',
	'uses' => 'ReportController@prClosed']);

Route::get('pr_generated/show',['as' => 'pr_generated.show',
	'uses' => 'ReportController@prGenerated']);

Route::post('pr_report/show',['as' => 'pr_report.show',
	'uses' => 'ReportController@prReport']);

Route::get('pos/cash/sale/orders',['as' => 'pos.cash.sale.orders',
  'uses' => 'CashSalesOrderController@posCashSaleOrders']);

Route::get('pos/cash/sales/order/print/{id}',['as' => 'pos.cash.sales.order.print',
  'uses' => 'CashSalesOrderController@posPrintCashSale']);

Route::get('cash/sales/order/list',['as' => 'cash.sales.order.list',
    'uses' => 'CashSalesOrderController@index']);


Route::get('cash/sales/order/{id}',['as' => 'cash.sales.order.view',
  'uses' => 'CashSalesOrderController@viewProduct']);

Route::post('cash/sales/order/approved',['as' => 'cash.sales.order.approved',
  'uses' => 'CashSalesOrderController@approved']);

Route::get('cash/sales/order/print/{id}',['as' => 'cash.sales.order.print',
  'uses' => 'CashSalesOrderController@printCashSale']);

Route::post('cash/sales/order/integration',['as' => 'cash.sales.order.integration',
  'uses' => 'CashSalesOrderController@integration']);

Route::post('cash/sales/order/search',['as' => 'cash.sales.order.search',
  'uses' => 'CashSalesOrderController@search']);


Route::get('cash/sale/delete/{id}',['as' => 'cash.sale.delete',
  'uses' => 'CashSalesOrderController@delete']);

Route::get('pos/credit/sale/orders',['as' => 'pos.credit.sale.orders',
  'uses' => 'CreditSalesOrderController@posCashSaleOrders']);

Route::get('pos/credit/sales/order/print/{id}',['as' => 'pos.credit.sales.order.print',
  'uses' => 'CreditSalesOrderController@posPrintCreditSale']);

Route::get('credit/sales/order/list',['as' => 'credit.sales.order.list',
    'uses' => 'CreditSalesOrderController@index']);

Route::get('credit/sales/order/{id}',['as' => 'credit.sales.order.view',
  'uses' => 'CreditSalesOrderController@viewProduct']);

Route::post('credit/sales/order/approved',['as' => 'credit.sales.order.approved',
  'uses' => 'CreditSalesOrderController@approved']);

Route::get('credit/sales/order/print/{id}',['as' => 'credit.sales.order.print',
  'uses' => 'CreditSalesOrderController@printCreditSale']);

Route::post('credit/confirm',['as' => 'credit.confirm',
  'uses' => 'CreditSalesOrderController@creditConfirm']);

Route::post('credit/sales/order/integration',['as' => 'credit.sales.order.integration',
  'uses' => 'CreditSalesOrderController@integration']);


Route::post('credit/sales/order/search',['as' => 'credit.sales.order.search',
  'uses' => 'CreditSalesOrderController@search']);


Route::get('credit/sale/print',['as' => 'credit.sale.print',
  'uses' => 'CreditSalesOrderController@creditPrint']);

Route::post('credit/sale/product/store',['as' => 'credit.sale.product.store',
  'uses' => 'CreditSalesOrderController@insertRequest']);

Route::get('credit/sale/mr_product/edit/{id}',['as' => 'credit.sale.mr_product.edit',
  'uses' => 'CreditSalesOrderController@editProduct']);

Route::post('credit/sale/product/update',['as' => 'credit.sale.product.update',
  'uses' => 'CreditSalesOrderController@updateProduct']);

Route::get('credit/sale/delete/{id}',['as' => 'credit.sale.delete',
  'uses' => 'CreditSalesOrderController@delete']);

Route::get('history/sales/order/{id}',['as' => 'history.sales.order',
  'uses' => 'CashAndCreditReportController@historyOfOrder']);


///WS customer mr routes

Route::get('customer/sales/order/list',['as' => 'customer.sales.order.list',
    'uses' => 'CustomerSalesOrderController@index']);

Route::get('customer/sales/order/{id}',['as' => 'customer.sales.order.view',
  'uses' => 'CustomerSalesOrderController@viewProduct']);

Route::post('customer/sales/order/approved',['as' => 'customer.sales.order.approved',
  'uses' => 'CustomerSalesOrderController@approved']);

Route::get('customer/sales/order/print/{id}',['as' => 'customer.sales.order.print',
  'uses' => 'CustomerSalesOrderController@printCreditSale']);

Route::post('customer/confirm',['as' => 'customer.confirm',
  'uses' => 'CustomerSalesOrderController@creditConfirm']);

Route::post('customer/sales/order/integration',['as' => 'customer.sales.order.integration',
  'uses' => 'CustomerSalesOrderController@integration']);


Route::post('customer/sales/order/search',['as' => 'customer.sales.order.search',
  'uses' => 'CustomerSalesOrderController@search']);


Route::get('customer/sale/print',['as' => 'customer.sale.print',
  'uses' => 'CustomerSalesOrderController@creditPrint']);

Route::post('customer/sale/product/store',['as' => 'customer.sale.product.store',
  'uses' => 'CustomerSalesOrderController@insertRequest']);

Route::get('customer/sale/mr_product/edit/{id}',['as' => 'customer.sale.mr_product.edit',
  'uses' => 'CustomerSalesOrderController@editProduct']);

Route::post('customer/sale/product/update',['as' => 'customer.sale.product.update',
  'uses' => 'CustomerSalesOrderController@updateProduct']);

Route::get('customer/sale/delete/{id}',['as' => 'customer.sale.delete',
  'uses' => 'CustomerSalesOrderController@delete']);

Route::get('customer/history/sales/order/{id}',['as' => 'customer.history.sales.order',
  'uses' => 'CustomerSalesOrderController@historyOfOrder']);

Route::get('customer/preorder/approve/{id}',['as' => 'customer.preorder.approve',
  'uses' => 'CustomerSalesOrderController@preOrderApprove']);


